sq Struct Reference

The sq struct. More...

`#include <sq.h>`

## Data Fields

unsigned int | head
unsigned int | size
void * | items
unsigned int * | items_inuse
unsigned int * | items_miss_count
unsigned int | size_per_item
unsigned int | head_seqid
unsigned int | item_count
unsigned int | pos_max

## Detailed Description

The sq struct.

Definition at line 43 of file sq.h.

## Field Documentation

## head

unsigned int sq::head

Definition at line 44 of file sq.h.

## head_seqid

unsigned int sq::head_seqid

Definition at line 50 of file sq.h.

## item_count

unsigned int sq::item_count

Definition at line 51 of file sq.h.

## items

void* sq::items

Definition at line 46 of file sq.h.

## items_inuse

unsigned int* sq::items_inuse

Definition at line 47 of file sq.h.

## items_miss_count

unsigned int* sq::items_miss_count

Definition at line 48 of file sq.h.

## pos_max

unsigned int sq::pos_max

Definition at line 52 of file sq.h.

## size

unsigned int sq::size

Definition at line 45 of file sq.h.

## size_per_item

unsigned int sq::size_per_item

Definition at line 49 of file sq.h.

The documentation for this struct was generated from the following file:

- sq.h